<?php
$operatorMeta = array(
    'operators' => array(
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Cases',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'before_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Cases',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'primary_contact_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'primary_contact_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'LinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Cases',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'cases',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Cases',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'UnlinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Cases',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'cases',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Contacts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Cases',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-8' => array(
            'from' => 'op-8entity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'entity',
            'to' => 'op-9entity',
            'toOperator' => 'op-9',
            'toConnector' => 'entity'
        ),
        'link-9' => array(
            'from' => 'op-8previousEntityState',
            'fromOperator' => 'op-8',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-10' => array(
            'from' => 'op-9fields0',
            'fromOperator' => 'op-9',
            'fromConnector' => 'fields0',
            'to' => 'op-11operand1',
            'toOperator' => 'op-11',
            'toConnector' => 'operand1'
        ),
        'link-11' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-11operand2',
            'toOperator' => 'op-11',
            'toConnector' => 'operand2'
        ),
        'link-16' => array(
            'from' => 'op-9fields0',
            'fromOperator' => 'op-9',
            'fromConnector' => 'fields0',
            'to' => 'op-13id',
            'toOperator' => 'op-13',
            'toConnector' => 'id'
        ),
        'link-17' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-12controlFlow',
            'toOperator' => 'op-12',
            'toConnector' => 'controlFlow'
        ),
        'link-18' => array(
            'from' => 'op-11result',
            'fromOperator' => 'op-11',
            'fromConnector' => 'result',
            'to' => 'op-14condition',
            'toOperator' => 'op-14',
            'toConnector' => 'condition'
        ),
        'link-19' => array(
            'from' => 'op-14controlFlowIfTrue',
            'fromOperator' => 'op-14',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-26' => array(
            'from' => 'op-8controlFlow',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-27' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-12objectEntity',
            'toOperator' => 'op-12',
            'toConnector' => 'objectEntity'
        ),
        'link-28' => array(
            'from' => 'op-8entity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'entity',
            'to' => 'op-12subjectEntity',
            'toOperator' => 'op-12',
            'toConnector' => 'subjectEntity'
        ),
        'link-29' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-19id',
            'toOperator' => 'op-19',
            'toConnector' => 'id'
        ),
        'link-30' => array(
            'from' => 'op-12controlFlow',
            'fromOperator' => 'op-12',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-31' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-32' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-18objectEntity',
            'toOperator' => 'op-18',
            'toConnector' => 'objectEntity'
        ),
        'link-33' => array(
            'from' => 'op-8entity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'entity',
            'to' => 'op-18subjectEntity',
            'toOperator' => 'op-18',
            'toConnector' => 'subjectEntity'
        ),
    )
);
