<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb610ce42706c8c0_27450936/operators/FlowchartOperator_lb610ce42706c8c0_27450936.php';

class UnlinkEntitiesOperator_lb610ce42706c8c0_27450936_op18 extends FlowchartOperator_lb610ce42706c8c0_27450936{

    protected $objectEntity;
    protected $subjectEntity;
    protected $linkName;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if(!empty($this->inDataPorts[$id])){
            if($id == 'objectEntity')
                $this->objectEntity = $value;
            elseif($id == 'subjectEntity')
                $this->subjectEntity = $value;
            elseif($id=='linkName')
                $this->linkName = $value;
        }
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);
        $this->linkName = $this->inDataPorts['linkName']['value'];
    }

    public function process($params = array()){
        if($this->checkEntity($this->objectEntity) && $this->checkEntity($this->subjectEntity) && !empty($this->linkName) ){
            $linkName = $this->linkName;
            $this->objectEntity->load_relationship($linkName);
            if(!empty($this->objectEntity->cases)){
                $this->objectEntity->cases->delete($this->objectEntity->id, $this->subjectEntity->id);
            }
        }else{
        }
    }

    public function getOutDataByPortId($portId){
        if($portId == 'objectEntity')
            return $this->objectEntity;
        elseif($portId == 'subjectEntity')
            return $this->subjectEntity;

        return null;
    }
    protected function checkEntity($bean){
        return !empty($bean) && $bean instanceof SugarBean && !empty($bean->id) && (empty($bean->new_with_id) || !empty($bean->pxIsSaved));
    }

}
