<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb610ce42706c8c0_27450936/helpers/date/DateTimeFactory_lb610ce42706c8c0_27450936.php';

class LbDateTypes_lb610ce42706c8c0_27450936
{
    public static function isSugarDate($value)
    {
        if (!is_object($value)) {
            return false;
        }
        return ($value instanceof SugarDateTime);
    }

    public static function isLbDate($value)
    {
        if (!static::isSugarDate($value)) {
            return false;
        }
        $classNameParts = explode('\\', get_class($value));
        $className = array_pop($classNameParts);
        return ('LbDate_' == substr($className, 0, 7));
    }

    public static function isLbDateTime($value)
    {
        if (!static::isSugarDate($value)) {
            return false;
        }
        $classNameParts = explode('\\', get_class($value));
        $className = array_pop($classNameParts);
        return ('LbDateTime_' == substr($className, 0, 11));
    }

    public static function getDateTimeCopy($date)
    {
        if (!isset($date)) {
            return null;
        }
        if ($date instanceof SugarDateTime) {
            return clone $date;
        }
        $dateTimeFactory = new DateTimeFactory_lb610ce42706c8c0_27450936();
        return $dateTimeFactory->getDateTimeFromUnknownFormat($date);
    }

}

